## AgsCropNote

AgsCropNote — crop notation

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_crop_note_set_selection ()
AgsCropNote * | ags_crop_note_new ()

## Properties

gboolean | absolute | Read / Write
AgsAudio * | audio | Read / Write
gboolean | do-resize | Read / Write
gboolean | in-place | Read / Write
AgsNotation * | notation | Read / Write
gpointer | selection | Read / Write
int | x-crop | Read / Write
guint | x-padding | Read / Write

## Types and Values

#define | AGS_CROP_NOTE_DEFAULT_X_LENGTH

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsCropNote

## Includes

    #include <ags/audio/task/ags_crop_note.h>

## Description

The AgsCropNote task crops AgsNotation.

## Functions

### ags_crop_note_set_selection ()

    void
    ags_crop_note_set_selection (AgsCropNote *crop_note,
                                 GList *selection);

Set `selection` of `crop_note` .

#### Parameters

crop_note | the AgsCropNote |
selection | the selection as GList. | [element-type AgsAudio.Note][transfer none]

Since: 3.2.3

### ags_crop_note_new ()

    AgsCropNote *
    ags_crop_note_new (AgsAudio *audio,
                       AgsNotation *notation,
                       GList *selection,
                       guint x_padding,
                       gint x_crop,
                       gboolean absolute,
                       gboolean in_place,
                       gboolean do_resize);

WARNING you need to provide AgsAudio as a property. Creates an AgsCropNote task. Note either `in_place` or `do_resize` shall be `TRUE` else it won't have any effect.

#### Parameters

audio | the AgsAudio |
notation | the AgsNotation |
selection | the selection as GList. | [element-type AgsAudio.Note][transfer none]
x_padding | the x padding to use |
x_crop | the amout to crop |
absolute | if `TRUE` from absolute position, otherwise relative |
in_place | if `TRUE` crop in place, otherwise grow relative offset |
do_resize | if `TRUE` resize notation, otherwise not |

#### Returns

a new AgsCropNote

Since: 3.0.0

## Types and Values

### AGS_CROP_NOTE_DEFAULT_X_LENGTH

    #define AGS_CROP_NOTE_DEFAULT_X_LENGTH (16 * 16 * 1200)

## Property Details

### The `“absolute”` property

      “absolute”                 gboolean

Crop notation by absolute position.

Owner: AgsCropNote

Flags: Read / Write

Default value: FALSE

Since: 3.0.0

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned AgsAudio

Owner: AgsCropNote

Flags: Read / Write

Since: 3.0.0

### The `“do-resize”` property

      “do-resize”                gboolean

Crop notation do resize.

Owner: AgsCropNote

Flags: Read / Write

Default value: FALSE

Since: 3.0.0

### The `“in-place”` property

      “in-place”                 gboolean

Crop notation in place.

Owner: AgsCropNote

Flags: Read / Write

Default value: FALSE

Since: 3.0.0

### The `“notation”` property

      “notation”                 AgsNotation *

The assigned AgsNotation

Owner: AgsCropNote

Flags: Read / Write

Since: 3.0.0

### The `“selection”` property

      “selection”                gpointer

The assigned AgsNote

[transfer full]

Owner: AgsCropNote

Flags: Read / Write

Since: 3.0.0

### The `“x-crop”` property

      “x-crop”                   int

Crop notation by x-crop amount.

Owner: AgsCropNote

Flags: Read / Write

Allowed values: [-307200,307200]

Default value: 0

Since: 3.0.0

### The `“x-padding”` property

      “x-padding”                guint

Crop notation with x padding.

Owner: AgsCropNote

Flags: Read / Write

Allowed values: <= 307200

Default value: 0

Since: 3.0.0